%   This function integrates two coupled systems. The driver is Rossler, 
% and the response is Lorenz. a is a rescaling parameter equal to 6
%  It acepts as arguments the value of the parameter
% C which is the degree of coupling.

function dx = rosxlory(t,x,flag,c,alp)

     dx = zeros(6,1);    % a column vector
     
     dx(1) = -alp*(x(2)+x(3));
     dx(2) = alp*(x(1)+0.2*x(2));
     dx(3) = alp*(0.2+x(3)*(x(1)-5.7));
     
% The above is the first system, below comes the second one  
     
     dx(4) = 10*(x(5)-x(4));
     dx(5) = 28*x(4)-x(5)-x(4)*x(6)+c*x(2)^2;
     dx(6) = x(4)*x(5)-8*x(6)/3;